org.apache.axiom.om

## Interface OMProcessingInstruction

- All Superinterfaces:
    OMInformationItem, OMNode, OMSerializable

      public interface OMProcessingInstruction
      extends OMNode

  Interface OMProcessingInstruction

- - ### Field Summary

    - ### Fields inherited from interface org.apache.axiom.om.OMNode

      `CDATA_SECTION_NODE, COMMENT_NODE, DTD_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, PI_NODE, SPACE_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTarget()` Gets the target of this Processing Instruction.
    `String` | `getValue()` Gets the value of this Processing Instruction.
    `void` | `setTarget(String target)` Sets the target of this Processing Instruction.
    `void` | `setValue(String value)` Sets the value of this Processing Instruction.

    - ### Methods inherited from interface org.apache.axiom.om.OMNode

      `buildWithAttachments, detach, discard, getNextOMSibling, getParent, getPreviousOMSibling, getType, insertSiblingAfter, insertSiblingBefore, serialize, serialize, serialize, serialize, serializeAndConsume, serializeAndConsume, serializeAndConsume, serializeAndConsume`

    - ### Methods inherited from interface org.apache.axiom.om.OMSerializable

      `build, close, isComplete, serialize, serialize, serializeAndConsume`

    - ### Methods inherited from interface org.apache.axiom.om.OMInformationItem

      `clone, getOMFactory`

- - ### Method Detail

    - #### setTarget

          void setTarget(String target)

      Sets the target of this Processing Instruction.
      Parameters:
        `target` -

    - #### getTarget

          String getTarget()

      Gets the target of this Processing Instruction.
      Returns:
        Returns string.

    - #### setValue

          void setValue(String value)

      Sets the value of this Processing Instruction.
      Parameters:
        `value` -

    - #### getValue

          String getValue()

      Gets the value of this Processing Instruction.
      Returns:
        Returns String.

Copyright © The Apache Software Foundation. All Rights Reserved.